/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief MiniPort-LED ļ
 *
 * ԵʹãҲԺ MiniPort-595 ʹãԽʡš
 *
 * ǰֵ֧÷У
 * 1. MiniPort-LED                : am_miniport_led_inst_init();
 * 2. MiniPort-LED + MiniPort-595 : am_miniport_led_595_inst_init();
 *
 * \internal
 * \par Modification history
 * - 1.00 17-07-25  tee, first implementation.
 * \endinternal
 */
#ifndef __AM_HWCONF_MINIPORT_LED_H
#define __AM_HWCONF_MINIPORT_LED_H

#include "ametal.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * \brief MiniPort-LEDʵʼ
 *
 * \retval  AW_OK  ʼɹ
 * \retval   < 0   ʼʧܣCļиǷϷ
 */
int am_miniport_led_inst_init (void);

/**
 * \brief MiniPort-LED  MiniPort-595 ʹʵʼ
 *
 * \retval  AW_OK  ʼɹ
 * \retval   < 0   ʼʧܣCļиǷϷ
 */
int am_miniport_led_595_inst_init (void);

#ifdef __cplusplus
}
#endif

#endif

/* end of file */
