/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2015 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief LPC82x ģ幤
 *
 * - ʵ:
 *   ģ:LED01Ƶ˸; demo:demoںļ
 *
 * \internal
 * \par Modification history
 * - 1.00 17-07-07  nwt, first implementation.
 * \endinternal
 */

/**
 * \brief AMetal Ӧó
 */
#include "ametal.h"
#include "am_board.h"
#include "am_vdebug.h"
#include "am_delay.h"
#include "am_gpio.h"
#include "demo_all_entrys.h"

int am_main (void)
{
    AM_DBG_INFO("Start up successful!\r\n");

    /* demo */

    demo_miniport_hc595_digitron_entry();

    while (1) {

        am_led_toggle(LED0);

        am_mdelay(1000);
    }
}

/* end of file */
