/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2015 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief ļϵͳ弶Ӳ
 * \sa am_prj_config.h
 * \internal
 * \par Modification history
 * - 1.00 14-12-23  tee, first implementation.
 * \endinternal
 */

#ifndef __AM_PRJ_CONFIG_H
#define __AM_PRJ_CONFIG_H

#include "ametal.h"

/**
 * \addtogroup am_if_prj_config
 * \copydoc am_prj_config.h
 * @{
 */

/**
 * \brief һЩȫʹõĵʵ豸ĬϵͳʱʼԱȫʹ
 *
 *   GPIODMA INT ȡȷӦóʹЩԴԽӦĺֵ޸Ϊ0
 *  ܣӦֵ޸Ϊ0ЩĬϳʼĵʵ豸
 *
 * @{
 */

/** \brief Ϊ1ʱʱӳʼ */
#define AM_CFG_CLK_ENABLE                1

/** \brief Ϊ1ʼ GPIO ع */
#define AM_CFG_GPIO_ENABLE               1

/** \brief Ϊ1ʼ INT ع */
#define AM_CFG_INT_ENABLE                1

/** \brief Ϊ1ʼ DMA ع */
#define AM_CFG_DMA_ENABLE                1

/** @} */


/**
 * \name ʹһЩϵͳ
 * @{
 */

/** \brief ʹ NVRAM  */
#define AM_CFG_NVRAM_ENABLE              1

/** \brief Ƿʹðϵͳ */
#define AM_CFG_KEY_ENABLE                1

/** @} */



/**
 * \name 弶ʼ
 *
 * ĬϿʹðϵһЩԴ LEDȣʹãӦֹӦĺ
 *
 * @{
 */

/**
 * \brief Ϊ1ʼʱ
 *
 * ʼʹam_mdelay()  am_udelay()ʱ
 *
 * ע⣬Ĭϵʱ am_delay.cļʵ֣ر󣬿иΪʵַʽ
 *
 */
#define AM_CFG_DELAY_ENABLE          1

/**
 * \brief Ϊ1ʼledعܣĬLED
 *
 * ID: 0 --- PIO0.8 Ҫ̽ñ J9
 * ID: 1 --- PIO0.9 Ҫ̽ñ J10
 */
#define AM_CFG_LED_ENABLE            1

/**
 * \brief Ϊ1ʼذ
 * KEY_KP0 Ĭϰţ PIO0_1 Ҫ̽ñ J1412ܣ
 */
#define AM_CFG_KEY_GPIO_ENABLE       1

/**
 * \brief Ϊ1ʼع
 *
 * ĬʹSCT_OUT1 PIO0_2PWM Ҫ̽ñ J7
 */
#define AM_CFG_BUZZER_ENABLE         0

/** \brief PWMƵ */
#define AM_CFG_BUZZER_PWM_FREQ       2500

/** \brief PWMռձȣ5050%       */
#define AM_CFG_BUZZER_PWM_DUTY       50

/**
 * \brief Ϊ1ʼϵͳtick
 */
#define AM_CFG_SYSTEM_TICK_ENABLE     1

/**
 * \brief ϵͳtickƵʣĬ1KHz
 *
 * ϵͳTICKʹ am_system.h
 */
#define AM_CFG_SYSTEM_TICK_RATE      1000

/**
 * \brief Ϊ1ʼʱ
 *
 * ʱĬʹ MRT ʱ
 * ʱʹ am_softimer.h
 */
#define AM_CFG_SOFTIMER_ENABLE       1

/**
 * \brief Ϊ1ʼڵԴĬΪUART0
 *
 * UART0TXDĬΪ PIO0_4 ֻҪPIO0_4ӵģţ
 * ɿ AM_DBG_INFO() ӡĵϢ
 */
#define AM_CFG_DEBUG_ENABLE          1

/**
 * \brief ʹõĵԴڣĬUART0
 * 0 - UART0; 1 - UART1; 2 - UART2
 */
#define AM_CFG_DEBUG_UART            0

/**
 * \brief õԴĲ
 */
#define AM_CFG_DEBUG_BAUDRATE        115200

/** @} */

/**
 * \brief Ƿʹñ׼⣨ʹñ׼⣩
 *
 * ʹ˱׼⣬ϵͳԶ׼⣬ûʹ printf() 
 * malloc() free()ȱ׼⺯
 * ֵעǣʹñ׼ʱķϵͳ FLASH  RAM Դû
 * Ӧʹ
 */
#define AM_CFG_STDLIB_ENABLE         1

/** @} */

/** @} */

/**
 * @}
 */

#ifdef __cplusplus
}
#endif

#endif  /* __AM_PRJ_CONFIG_H */

/* end of file */
