/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief PCF85063 ļ
 *
 * \internal
 * \par Modification history
 * - 1.00 17-07-13  tee, first implementation.
 * \endinternal
 */

#ifndef __AM_HWCONF_PCF85063_H
#define __AM_HWCONF_PCF85063_H

#include "ametal.h"
#include "am_pcf85063.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * \brief PCF85063 ʵʼʹоƬ⹦ܣ
 * \return PCF85063оƬΪNULLʼʧ
 * \note ʹоƬ⹦ʱʹøúȡоƬľ
 */
am_pcf85063_handle_t am_pcf85063_inst_init (void);

/**
 * \brief PCF85063 ʵʼ ʹͨõRTCܣ
 * \return RTC׼ΪNULLʼʧ
 * \note ʹͨõRTCʱʹøúȡRTC׼
 */
am_rtc_handle_t am_pcf85063_rtc_inst_init(void);

/**
 * \brief PCF85063 ʵʼ ʹͨõӹܣ
 * \return ӱ׼ΪNULLʼʧ
 * \note ʹͨõӹʱʹøúȡӱ׼
 */
am_alarm_clk_handle_t  am_pcf85063_alarm_clk_inst_init(void);

/**
 * \brief PCF85063 ʵʼ PCF85063ϵͳʱ䣩
 *
 * \retval  AW_OK  ʼɹ
 * \retval   < 0   ʼʧܣCļиǷϷ
 */
int am_pcf85063_time_inst_init(void);

#ifdef __cplusplus
}
#endif

#endif

/* end of file */
