/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief DS1302 ļ
 *
 * \internal
 * \par Modification history
 * - 1.00 17-07-13  tee, first implementation.
 * \endinternal
 */

#ifndef __AM_HWCONF_DS1302_H
#define __AM_HWCONF_DS1302_H

#include "ametal.h"
#include "am_ds1302.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * \brief DS1302 ʵʼʹоƬ⹦ܣ
 * \return DS1302оƬΪNULLʼʧ
 * \note ʹоƬ⹦ʱʹøúȡоƬľ
 */
am_ds1302_handle_t am_ds1302_inst_init (void);

/**
 * \brief DS1302 ʵʼ ʹͨõRTCܣ
 * \return RTC׼ΪNULLʼʧ
 * \note ʹͨõRTCʱʹøúȡRTC׼
 */
am_rtc_handle_t am_ds1302_rtc_inst_init(void);

/**
 * \brief DS1302 ʵʼ DS1302ϵͳʱ䣩
 *
 * \retval  AW_OK  ʼɹ
 * \retval   < 0   ʼʧܣCļиǷϷ
 */
int am_ds1302_time_inst_init(void);

#ifdef __cplusplus
}
#endif

#endif

/* end of file */
